#### D.5.12.21 constructH

Procedure from library `resbinomial.lib` (see resbinomial_lib).

Usage:
  constructH(Hhist,n,flag);
  Hhist intvec, n integer, flag list

Return:
  the list of exceptional divisors accumulated at this chart

Example:

    LIB "resbinomial.lib";
    ring r = 0,(x(1..3)),dp;
    list flag=identifyvar();
    ideal J=x(1)^4*x(2)^2, x(1)^2+x(3)^3;
    list L=Eresol(J);   // 7 charts
    // history of the exceptional divisors at the 7-th chart
    L[1][7][7]; // blow ups at x(3)-th, x(1)-th and x(1)-th charts
    ==> 0,3,1,1
    constructH(L[1][7][7],3,flag);
    ==> [1]:
    ==>    _[1]=x(3)
    ==> [2]:
    ==>    _[1]=1
    ==> [3]:
    ==>    _[1]=x(1)

User manual for Singular version 4.4.1, 2025, generated by texi2html.